//La librairie principale OSLib
#include <oslib/oslib.h>

//les callbacks
PSP_MODULE_INFO("OSLib Sample", 0, 1, 1);
PSP_MAIN_THREAD_ATTR(THREAD_ATTR_USER | THREAD_ATTR_VFPU);

//definition des pointeurs vers nos images
OSL_IMAGE *fond, *chrono;

int main()
{
	//Initialisation de la librairie
	oslInit(0);

	//Initialisation du mode graphique
	oslInitGfx(OSL_PF_8888, 1);

	//definition de la transparence
	oslSetTransparentColor(RGB(255,0,255));

	//chargement de nos images (oui, le "loading" :p)
	fond = oslLoadImageFile("fond_zora.png", OSL_IN_RAM, OSL_PF_5551);
	chrono = oslLoadImageFile("chrono.png", OSL_IN_RAM, OSL_PF_5551);

	//plus de transparence
	oslDisableTransparentColor();

	//vrification
	if (!fond || !chrono)
		oslDebug("Impossible de charger un ou plusieurs fichiers. Verifiez que tous les fichiers sont bien copis dans le rpertoire du jeu.");

	//boucle principale
	while (!osl_quit)
	{
		//Permet de dessiner
		oslStartDrawing();
		
		//Lit les touches
		oslReadKeys();
		
		//deplace le sprite de chrono
		if (osl_keys->held.down) chrono->y += 2;
		if (osl_keys->held.up) chrono->y -= 2;
		if (osl_keys->held.left) chrono->x -= 2;
		if (osl_keys->held.right) chrono->x += 2;

		//dessine nos images
		oslDrawImage(fond);
		oslDrawImage(chrono);

		//Fin du dessin
		oslEndDrawing();

		//Synchronise l'cran
		oslSyncFrame();		
	}
	
	//on quitte l'application
	oslEndGfx();
	oslQuit();
	return 0;
}